Package Gnumed :: Package business :: Module gmDocuments :: Class cDocument |
[frames] | no frames]

# Class cDocument

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cDocument

Represents one medical document.

Instance Methods
refetch_payload(self, ignore_changes=False) Fetch field values from backend. | source code
get_descriptions(self, max_lng=250) Get document descriptions. | source code
add_description(self, description=None) | source code
update_description(self, pk=None, description=None) | source code
delete_description(self, pk=None) | source code
add_part(self, file=None) Add a part to the document. | source code
add_parts_from_files(self, files=None, reviewer=None) | source code
export_parts_to_files(self, export_dir=None, chunksize=0) | source code
set_reviewed(self, technically_abnormal=None, clinically_relevant=None) | source code
set_primary_reviewer(self, reviewer=None) | source code
format(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| parts
| has_unreviewed_parts
Inherited from `object`: `__class__`

Method Details

### refetch_payload(self, ignore_changes=False) | source code
Fetch field values from backend. Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.refetch_payload (inherited documentation)

### get_descriptions(self, max_lng=250) | source code
    Get document descriptions.

    - will return a list of rows

Property Details

### parts Get Method: _get_parts(self) Set Method: unreachable(x)

### has_unreviewed_parts Get Method: _get_has_unreviewed_parts(self) Set Method: unreachable(x)